/* 
    TVscreen Widget for Bt848 frame grabber driver

    Copyright (C) 1996,97 Marcus Metzler (mocm@thp.uni-koeln.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _TVscreen_h
#define _TVscreen_h

/*
 * TVscreen Widget public include file
 */

#ifdef __cplusplus
extern "C" {
#endif

#define PAL 0
#define NTSC 1
#define SECAM 2

#define TUNER 0
#define COMP1 1
#define COMP2 2
#define SVHS  3

  /* some defaults */
#define DCOL 254
#define DBRI 0
#define DHUE 0
#define DCONTRAST 216
#define DNORM  PAL
#define DIN COMP1


#define XtNdevName  "devname"
#define XtNcap "capture"
#define XtNnorm  "norm"
#define XtNfreq  "freq"
#define XtNinputSelect  "inpsel"
#define XtNdelay  "delay"
#define XtNbright  "bright"
#define XtNcol  "col"
#define XtNhue  "hue"
#define XtNcontrast  "contrast"
#define XtNrefresh  "refresh"
#define XtNbpp  "bpp"
#define XtNvis  "visname"
#define XtNsnap  "snap"
#define XtNrealW  "realw"
#define XtNaudio  "audio"
 
#define XtCDevName  "devname"
#define XtCCap "capture"
#define XtCNorm  "norm"
#define XtCFreq  "freq"
#define XtCInputSelect  "inpsel"
#define XtCDelay  "delay"
#define XtCBright  "bright"
#define XtCCol  "col"
#define XtCHue  "hue"
#define XtCContrast  "contrast"
#define XtCRefresh  "refresh"
#define XtCBpp  "bpp"
#define XtCVis  "visname"
#define XtCSnap  "snap"
#define XtCRealW  "realw"
#define XtCAudio  "audio"

/* Class record constants */

extern WidgetClass tvscreenWidgetClass;

typedef struct _TVscreenClassRec *TVscreenWidgetClass;
typedef struct _TVscreenRec      *TVscreenWidget;

#ifdef __cplusplus
}
#endif

#endif /* _TVscreen_h */
/* DON'T ADD STUFF AFTER THIS #endif */







