/* 
    channel for Bt848 frame grabber driver

    Copyright (C) 1996,97 Marcus Metzler (mocm@thp.uni-koeln.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef _xtvscreen_h
#define _xtvscreen_h


#include <stdio.h>
#include <stdlib.h>
#include <iostream.h>
#include <fstream.h>
#include <strstream.h>

#include <X11/Xlib.h>
#include <Xm/Xm.h>
#include <Xm/List.h>
#include <Xm/TextF.h>
#include <Xm/RowColumn.h>
#include <Xm/MainW.h>
#include <Xm/Form.h>
#include <Xm/PanedW.h>
#include <Xm/Frame.h>
#include <Xm/PushB.h>
#include <Xm/DialogS.h>
#include <Xm/CascadeB.h>
#include <Xm/MessageB.h>
#include <Xm/Scale.h>
#include <Xm/ToggleBG.h>

#include "globs.h"


country CountryList;

static XtResource resources[] = {
  {
    XtNaspect,
    XtCAspect,
    XtRInt,
    sizeof(int),
    XtOffsetOf(AppData,dasp),
    XtRImmediate,
    (XtPointer) NOASP
  },
  {
    XtNsaver,
    XtCSaver,
    XtRBoolean,
    sizeof(Boolean),
    XtOffsetOf(AppData,disable_saver), 
    XtRImmediate,(XtPointer)True
  },
  {
    XtNcountryF,
    XtCCountryF,
    XtRString, 
    sizeof(String),
    XtOffsetOf(AppData,countryFile), 
    XtRImmediate,
    (XtPointer)0
  },
  {
    XtNfullScreen,
    XtCFullScreen,
    XtRBoolean,
    sizeof(Boolean),
    XtOffsetOf(AppData,full_screen), 
    XtRImmediate,(XtPointer)False
  },
  {
    XtNsnapName,
    XtCSnapName,
    XtRString, 
    sizeof(String),
    XtOffsetOf(AppData,snapname), 
    XtRImmediate,
    (XtPointer)0
  },
  {
    XtNsequName,
    XtCSequName,
    XtRString, 
    sizeof(String),
    XtOffsetOf(AppData,sequname), 
    XtRImmediate,
    (XtPointer)0
  },
  {
    XtNsequNum,
    XtCSequNum,
    XtRInt,
    sizeof(int),
    XtOffsetOf(AppData,seqnum),
    XtRImmediate,
    (XtPointer) 0
  },
};

void Channel(Widget w,XEvent *ev, String *params, Cardinal *num_params);

XtActionsRec actionTable[] = {
  {"Channel", Channel},
};
 
String fallback_resources[] = {
  "*translations: #override\
	<Key>K: Channel(up)\\n\
	<Key>J: Channel(down)\\n\
	<Key>-: Channel(up)\\n\
	<Key>+: Channel(down)\\n\
	<Key>KP_Subtract: Channel(up)\\n\
	<Key>KP_Add: Channel(down)\\n\
	<Key>space: Channel(down)\\n\
	<Key>BackSpace: Channel(up)\\n\
        <Key>osfBackSpace: Channel(up)",
  "*screen*translations: #override\
	<Btn1Down>:Channel(up)\\n\
	<Btn3Down>:Channel(down)",
  "*disableSaver: true",
  NULL
};

char help_message[] = "\
    -help\tprint this help message\n\
    -norm (0|1|2)\tuse PAL NTSC or SECAM\n\
    -in (0|1|2|3)\tuse source TUNER, COMP1, COMP2 or SVHS\n\
    -bpp (8|15|16|24|32)\tset display color depth manually\n\
    -dev bttv_device_name\n\
    -v visual_name_or_id\n\
    -capon\tset capture on at startup\n\
    -rw  <width>\tset the actual width of the display screen\n\
    -asp (0|1|2)\tfix aspect ratio of screen at none, 4/3, 16/9\n\
    -disableSaver\tdisable the screen saver while the program is running\n\
    -dontDisableSver\tdon't disable the screen saver\n\
    -country <CountryFile>\tgive filename for channel definition\n\
    -full\talways capture full screen size\n\
    -snap <snapName>\tset name for snapshot file\n\
    -seq <snapName>\tset name for sequence file\n"; 
    
#endif /* _xtvscreen_h */
/* DON'T ADD STUFF AFTER THIS #endif */








