#ifndef AUDIOCHIP_H
#define AUDIOCHIP_H

/* ---------------------------------------------------------------------- */

#define I2C_TSA5522        0xc2
#define I2C_TDA9840        0x84
#define I2C_TDA9850        0xb6
#define I2C_TDA8425        0x82
#define I2C_HAUPEE         0xa0
#define I2C_STBEE          0xae
#define I2C_VHX            0xc0
#define I2C_MSP3400C       0x80


#define AUDC_SET_TVNORM       _IOW('m',1,int)  /* TV mode + PAL/SECAM/NTSC  */
#define AUDC_SET_RADIO        _IO('m',2)       /* Radio mode                */
#define AUDC_NEWCHANNEL       _IO('m',3)       /* indicate new chan - off mute */
#define AUDC_SWITCH_MUTE      _IO('m',4)      /* turn on mute */
#define AUDC_GET_DC           _IOR('m',5,__u16)
#define AUDC_GET_UNIT         _IOR('m',6,int) /* ??? - unimplemented in MSP3400 */

#define AUDC_GET_STEREO       _IOR('m',7,__u16)
#define AUDC_SET_STEREO       _IOW('m',8,__u16)

#define AUDC_GET_VOLUME       _IOR('m',9,__u16)
#define AUDC_SET_VOLUME       _IOW('m',10,__u16)
#define AUDC_SET_MUTE         _IO('m',11)
#define AUDC_SET_UNMUTE       _IO('m',12)

#define AUDC_GET_BALANCE      _IOR('m',13,__u16)
#define AUDC_SET_BALANCE      _IOW('m',14,__u16)
#define AUDC_GET_BASS         _IOR('m',15,__u16)
#define AUDC_SET_BASS         _IOW('m',16,__u16)
#define AUDC_GET_TREBLE       _IOR('m',17,__u16)
#define AUDC_SET_TREBLE       _IOW('m',18,__u16)

#define AUDC_GET_MUX          _IOW('m',19,int)
#define AUDC_SET_MUX          _IOW('m',20,int) /* select from TV,radio,extern,MUTE */

#endif /* AUDIOCHIP_H */
